<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>CSS Introduction and Selectors</title>


		<!-- External CSS -->
		<link rel="stylesheet" href="style.css">
	</head>
	<body>

		<!-- inline styling using style attribute -->
		<h1 style="color: burlywood;">Hello World!</h1>

		<h2 style="font-size: 30px;">Welcome to Zuitt!</h2>


		<!-- internal styling -->
		<style>
			/*using attribute selector*/
			[type="text"]{
				background-color: coral;
			}

			/*using type selector*/
			form{
				border: 1px solid black;
				padding: 20px;
			}

			/*using class selector*/
			.lorem{
				color: red;
			}

			/*using ID selector*/
			#button{
				height: 50px;
				width: 100px;
			}
		</style>

		<form>
			<label>First Name:</label>
			<input type="text">
			<br>
			<label>Last Name:</label>
			<input type="text">
			<br>
			<label>Email:</label>
			<input type="email">
			<br>
			<label>Password:</label>
			<input type="password">
			<br>
			<button id="button">Submit</button>
		</form>


		<p class="lorem">
			Lorem ipsum dolor sit amet consectetur adipisicing elit. Eligendi odit illo asperiores, at amet consequatur, neque ratione dolorem assumenda eum consequuntur, repellendus totam officiis error nemo provident repudiandae magnam, obcaecati.
		</p>


		<!-- Selector Combinators -->
		<div class="parent">
			<p>First Paragraph</p>
			<p>Second Paragraph</p>
			<section>
				<p>Third Paragraph</p>
			</section>
		</div>

		<p>Fourth Paragraph</p>
		<p>Fifth Paragraph</p>

		<div>
			<p>Sixth Paragraph</p>
			<p>Seventh Paragraph</p>
		</div>

		<div>
			<p>Eighth Paragraph</p>
			<p>Ninth Paragraph</p>
		</div>

	</body>
</html>